package com.gic.haoban.manage.web.vo.chat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-10-12 14:52:09
 */
public class GroupChatActivityInviteLogExportVO implements Serializable {

    private static final long serialVersionUID = 8280940488482343219L;

    /**
     * 会员名称
     */
    private String name;

    /**
     * 会员手机
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String phoneNumber;

    /**
     * 会员别名昵称
     */
    private String nickName;

    /**
     * 会员是否删除
     * 0 正常
     * 1 已删除
     */
    private Integer memberDeleteFlag;

    /**
     * 受邀人姓名
     */
    private String inviteeName;

    /**
     * 受邀人手机号
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String inviteePhoneNumber;

    /**
     * 受邀人昵称
     */
    private String inviteeNickName;

    /**
     * 群id
     */
    private Long groupChatId;

    /**
     * 群名称
     */
    private String groupChatName;

    /**
     * 有效邀请类型 1有效0无效
     */
    private String inviteTypeDesc;

    /**
     * 无效邀请类型 1非首次参与活动受邀入群2入群前已处于企业群聊内3非首次加入企业群聊
     */
    private String invalidInviteTypeDesc;

    /**
     * 是否新增会员 1是 0否 null未统计
     */
    private String addMemberTypeDesc;

    /**
     * 入群时间
     */
    private String joinGroupChatTimeDesc;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Integer getMemberDeleteFlag() {
        return memberDeleteFlag;
    }

    public void setMemberDeleteFlag(Integer memberDeleteFlag) {
        this.memberDeleteFlag = memberDeleteFlag;
    }

    public String getInviteeName() {
        return inviteeName;
    }

    public void setInviteeName(String inviteeName) {
        this.inviteeName = inviteeName;
    }

    public String getInviteePhoneNumber() {
        return inviteePhoneNumber;
    }

    public void setInviteePhoneNumber(String inviteePhoneNumber) {
        this.inviteePhoneNumber = inviteePhoneNumber;
    }

    public String getInviteeNickName() {
        return inviteeNickName;
    }

    public void setInviteeNickName(String inviteeNickName) {
        this.inviteeNickName = inviteeNickName;
    }

    public Long getGroupChatId() {
        return groupChatId;
    }

    public void setGroupChatId(Long groupChatId) {
        this.groupChatId = groupChatId;
    }

    public String getGroupChatName() {
        return groupChatName;
    }

    public void setGroupChatName(String groupChatName) {
        this.groupChatName = groupChatName;
    }

    public String getInviteTypeDesc() {
        return inviteTypeDesc;
    }

    public void setInviteTypeDesc(String inviteTypeDesc) {
        this.inviteTypeDesc = inviteTypeDesc;
    }

    public String getInvalidInviteTypeDesc() {
        return invalidInviteTypeDesc;
    }

    public void setInvalidInviteTypeDesc(String invalidInviteTypeDesc) {
        this.invalidInviteTypeDesc = invalidInviteTypeDesc;
    }

    public String getAddMemberTypeDesc() {
        return addMemberTypeDesc;
    }

    public void setAddMemberTypeDesc(String addMemberTypeDesc) {
        this.addMemberTypeDesc = addMemberTypeDesc;
    }

    public String getJoinGroupChatTimeDesc() {
        return joinGroupChatTimeDesc;
    }

    public void setJoinGroupChatTimeDesc(String joinGroupChatTimeDesc) {
        this.joinGroupChatTimeDesc = joinGroupChatTimeDesc;
    }
}
